# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: CalibrationServicer.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import sila2lib.framework.SiLAFramework_pb2 as SiLAFramework__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='CalibrationServicer.proto',
  package='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1',
  syntax='proto3',
  serialized_options=None,
  serialized_pb=_b('\n\x19\x43\x61librationServicer.proto\x12\x35sila2.biovt.mw.tum.de.examples.calibrationservicer.v1\x1a\x13SiLAFramework.proto\"\x18\n\x16GetO2CalLow_Parameters\"N\n\x15GetO2CalLow_Responses\x12\x35\n\x0f\x43urrentO2CalLow\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"K\n\x16SetO2CalLow_Parameters\x12\x31\n\x0bSetO2CalLow\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"N\n\x15SetO2CalLow_Responses\x12\x35\n\x0f\x43urrentO2CalLow\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x19\n\x17GetO2CalHigh_Parameters\"P\n\x16GetO2CalHigh_Responses\x12\x36\n\x10\x43urrentO2CalHigh\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"M\n\x17SetO2CalHigh_Parameters\x12\x32\n\x0cSetO2CalHigh\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"P\n\x16SetO2CalHigh_Responses\x12\x36\n\x10\x43urrentO2CalHigh\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x19\n\x17GetO2CalTemp_Parameters\"P\n\x16GetO2CalTemp_Responses\x12\x36\n\x10\x43urrentO2CalTemp\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"M\n\x17SetO2CalTemp_Parameters\x12\x32\n\x0cSetO2CalTemp\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"P\n\x16SetO2CalTemp_Responses\x12\x36\n\x10\x43urrentO2CalTemp\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x16\n\x14GetPHlmax_Parameters\"J\n\x13GetPHlmax_Responses\x12\x33\n\rCurrentPHlmax\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"G\n\x14SetPHlmax_Parameters\x12/\n\tSetPHlmax\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"J\n\x13SetPHlmax_Responses\x12\x33\n\rCurrentPHlmax\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x16\n\x14GetPHlmin_Parameters\"J\n\x13GetPHlmin_Responses\x12\x33\n\rCurrentPHlmin\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"G\n\x14SetPHlmin_Parameters\x12/\n\tSetPHlmin\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"J\n\x13SetPHlmin_Responses\x12\x33\n\rCurrentPHlmin\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x15\n\x13GetPHpH0_Parameters\"H\n\x12GetPHpH0_Responses\x12\x32\n\x0c\x43urrentPHpH0\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"E\n\x13SetPHpH0_Parameters\x12.\n\x08SetPHpH0\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"H\n\x12SetPHpH0_Responses\x12\x32\n\x0c\x43urrentPHpH0\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x15\n\x13GetPHdpH_Parameters\"H\n\x12GetPHdpH_Responses\x12\x32\n\x0c\x43urrentPHdpH\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"E\n\x13SetPHdpH_Parameters\x12.\n\x08SetPHdpH\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"H\n\x12SetPHdpH_Responses\x12\x32\n\x0c\x43urrentPHdpH\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x19\n\x17GetPHCalTemp_Parameters\"P\n\x16GetPHCalTemp_Responses\x12\x36\n\x10\x43urrentPHCalTemp\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"M\n\x17SetPHCalTemp_Parameters\x12\x32\n\x0cSetPHCalTemp\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"P\n\x16SetPHCalTemp_Responses\x12\x36\n\x10\x43urrentPHCalTemp\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real2\xdb\x15\n\x13\x43\x61librationServicer\x12\xac\x01\n\x0bGetO2CalLow\x12M.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalLow_Parameters\x1aL.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalLow_Responses\"\x00\x12\xac\x01\n\x0bSetO2CalLow\x12M.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalLow_Parameters\x1aL.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalLow_Responses\"\x00\x12\xaf\x01\n\x0cGetO2CalHigh\x12N.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalHigh_Parameters\x1aM.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalHigh_Responses\"\x00\x12\xaf\x01\n\x0cSetO2CalHigh\x12N.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalHigh_Parameters\x1aM.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalHigh_Responses\"\x00\x12\xaf\x01\n\x0cGetO2CalTemp\x12N.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalTemp_Parameters\x1aM.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalTemp_Responses\"\x00\x12\xaf\x01\n\x0cSetO2CalTemp\x12N.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalTemp_Parameters\x1aM.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalTemp_Responses\"\x00\x12\xa6\x01\n\tGetPHlmax\x12K.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHlmax_Parameters\x1aJ.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHlmax_Responses\"\x00\x12\xa6\x01\n\tSetPHlmax\x12K.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHlmax_Parameters\x1aJ.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHlmax_Responses\"\x00\x12\xa6\x01\n\tGetPHlmin\x12K.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHlmin_Parameters\x1aJ.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHlmin_Responses\"\x00\x12\xa6\x01\n\tSetPHlmin\x12K.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHlmin_Parameters\x1aJ.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHlmin_Responses\"\x00\x12\xa3\x01\n\x08GetPHpH0\x12J.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHpH0_Parameters\x1aI.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHpH0_Responses\"\x00\x12\xa3\x01\n\x08SetPHpH0\x12J.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHpH0_Parameters\x1aI.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHpH0_Responses\"\x00\x12\xa3\x01\n\x08GetPHdpH\x12J.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHdpH_Parameters\x1aI.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHdpH_Responses\"\x00\x12\xa3\x01\n\x08SetPHdpH\x12J.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHdpH_Parameters\x1aI.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHdpH_Responses\"\x00\x12\xaf\x01\n\x0cGetPHCalTemp\x12N.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHCalTemp_Parameters\x1aM.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHCalTemp_Responses\"\x00\x12\xaf\x01\n\x0cSetPHCalTemp\x12N.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHCalTemp_Parameters\x1aM.sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHCalTemp_Responses\"\x00\x62\x06proto3')
  ,
  dependencies=[SiLAFramework__pb2.DESCRIPTOR,])




_GETO2CALLOW_PARAMETERS = _descriptor.Descriptor(
  name='GetO2CalLow_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalLow_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=105,
  serialized_end=129,
)


_GETO2CALLOW_RESPONSES = _descriptor.Descriptor(
  name='GetO2CalLow_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalLow_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentO2CalLow', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalLow_Responses.CurrentO2CalLow', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=131,
  serialized_end=209,
)


_SETO2CALLOW_PARAMETERS = _descriptor.Descriptor(
  name='SetO2CalLow_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalLow_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetO2CalLow', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalLow_Parameters.SetO2CalLow', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=211,
  serialized_end=286,
)


_SETO2CALLOW_RESPONSES = _descriptor.Descriptor(
  name='SetO2CalLow_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalLow_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentO2CalLow', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalLow_Responses.CurrentO2CalLow', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=288,
  serialized_end=366,
)


_GETO2CALHIGH_PARAMETERS = _descriptor.Descriptor(
  name='GetO2CalHigh_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalHigh_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=368,
  serialized_end=393,
)


_GETO2CALHIGH_RESPONSES = _descriptor.Descriptor(
  name='GetO2CalHigh_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalHigh_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentO2CalHigh', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalHigh_Responses.CurrentO2CalHigh', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=395,
  serialized_end=475,
)


_SETO2CALHIGH_PARAMETERS = _descriptor.Descriptor(
  name='SetO2CalHigh_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalHigh_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetO2CalHigh', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalHigh_Parameters.SetO2CalHigh', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=477,
  serialized_end=554,
)


_SETO2CALHIGH_RESPONSES = _descriptor.Descriptor(
  name='SetO2CalHigh_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalHigh_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentO2CalHigh', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalHigh_Responses.CurrentO2CalHigh', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=556,
  serialized_end=636,
)


_GETO2CALTEMP_PARAMETERS = _descriptor.Descriptor(
  name='GetO2CalTemp_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalTemp_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=638,
  serialized_end=663,
)


_GETO2CALTEMP_RESPONSES = _descriptor.Descriptor(
  name='GetO2CalTemp_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalTemp_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentO2CalTemp', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalTemp_Responses.CurrentO2CalTemp', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=665,
  serialized_end=745,
)


_SETO2CALTEMP_PARAMETERS = _descriptor.Descriptor(
  name='SetO2CalTemp_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalTemp_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetO2CalTemp', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalTemp_Parameters.SetO2CalTemp', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=747,
  serialized_end=824,
)


_SETO2CALTEMP_RESPONSES = _descriptor.Descriptor(
  name='SetO2CalTemp_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalTemp_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentO2CalTemp', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalTemp_Responses.CurrentO2CalTemp', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=826,
  serialized_end=906,
)


_GETPHLMAX_PARAMETERS = _descriptor.Descriptor(
  name='GetPHlmax_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHlmax_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=908,
  serialized_end=930,
)


_GETPHLMAX_RESPONSES = _descriptor.Descriptor(
  name='GetPHlmax_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHlmax_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPHlmax', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHlmax_Responses.CurrentPHlmax', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=932,
  serialized_end=1006,
)


_SETPHLMAX_PARAMETERS = _descriptor.Descriptor(
  name='SetPHlmax_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHlmax_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetPHlmax', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHlmax_Parameters.SetPHlmax', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1008,
  serialized_end=1079,
)


_SETPHLMAX_RESPONSES = _descriptor.Descriptor(
  name='SetPHlmax_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHlmax_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPHlmax', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHlmax_Responses.CurrentPHlmax', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1081,
  serialized_end=1155,
)


_GETPHLMIN_PARAMETERS = _descriptor.Descriptor(
  name='GetPHlmin_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHlmin_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1157,
  serialized_end=1179,
)


_GETPHLMIN_RESPONSES = _descriptor.Descriptor(
  name='GetPHlmin_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHlmin_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPHlmin', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHlmin_Responses.CurrentPHlmin', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1181,
  serialized_end=1255,
)


_SETPHLMIN_PARAMETERS = _descriptor.Descriptor(
  name='SetPHlmin_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHlmin_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetPHlmin', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHlmin_Parameters.SetPHlmin', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1257,
  serialized_end=1328,
)


_SETPHLMIN_RESPONSES = _descriptor.Descriptor(
  name='SetPHlmin_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHlmin_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPHlmin', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHlmin_Responses.CurrentPHlmin', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1330,
  serialized_end=1404,
)


_GETPHPH0_PARAMETERS = _descriptor.Descriptor(
  name='GetPHpH0_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHpH0_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1406,
  serialized_end=1427,
)


_GETPHPH0_RESPONSES = _descriptor.Descriptor(
  name='GetPHpH0_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHpH0_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPHpH0', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHpH0_Responses.CurrentPHpH0', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1429,
  serialized_end=1501,
)


_SETPHPH0_PARAMETERS = _descriptor.Descriptor(
  name='SetPHpH0_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHpH0_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetPHpH0', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHpH0_Parameters.SetPHpH0', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1503,
  serialized_end=1572,
)


_SETPHPH0_RESPONSES = _descriptor.Descriptor(
  name='SetPHpH0_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHpH0_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPHpH0', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHpH0_Responses.CurrentPHpH0', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1574,
  serialized_end=1646,
)


_GETPHDPH_PARAMETERS = _descriptor.Descriptor(
  name='GetPHdpH_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHdpH_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1648,
  serialized_end=1669,
)


_GETPHDPH_RESPONSES = _descriptor.Descriptor(
  name='GetPHdpH_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHdpH_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPHdpH', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHdpH_Responses.CurrentPHdpH', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1671,
  serialized_end=1743,
)


_SETPHDPH_PARAMETERS = _descriptor.Descriptor(
  name='SetPHdpH_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHdpH_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetPHdpH', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHdpH_Parameters.SetPHdpH', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1745,
  serialized_end=1814,
)


_SETPHDPH_RESPONSES = _descriptor.Descriptor(
  name='SetPHdpH_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHdpH_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPHdpH', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHdpH_Responses.CurrentPHdpH', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1816,
  serialized_end=1888,
)


_GETPHCALTEMP_PARAMETERS = _descriptor.Descriptor(
  name='GetPHCalTemp_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHCalTemp_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1890,
  serialized_end=1915,
)


_GETPHCALTEMP_RESPONSES = _descriptor.Descriptor(
  name='GetPHCalTemp_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHCalTemp_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPHCalTemp', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHCalTemp_Responses.CurrentPHCalTemp', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1917,
  serialized_end=1997,
)


_SETPHCALTEMP_PARAMETERS = _descriptor.Descriptor(
  name='SetPHCalTemp_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHCalTemp_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetPHCalTemp', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHCalTemp_Parameters.SetPHCalTemp', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1999,
  serialized_end=2076,
)


_SETPHCALTEMP_RESPONSES = _descriptor.Descriptor(
  name='SetPHCalTemp_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHCalTemp_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPHCalTemp', full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHCalTemp_Responses.CurrentPHCalTemp', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2078,
  serialized_end=2158,
)

_GETO2CALLOW_RESPONSES.fields_by_name['CurrentO2CalLow'].message_type = SiLAFramework__pb2._REAL
_SETO2CALLOW_PARAMETERS.fields_by_name['SetO2CalLow'].message_type = SiLAFramework__pb2._REAL
_SETO2CALLOW_RESPONSES.fields_by_name['CurrentO2CalLow'].message_type = SiLAFramework__pb2._REAL
_GETO2CALHIGH_RESPONSES.fields_by_name['CurrentO2CalHigh'].message_type = SiLAFramework__pb2._REAL
_SETO2CALHIGH_PARAMETERS.fields_by_name['SetO2CalHigh'].message_type = SiLAFramework__pb2._REAL
_SETO2CALHIGH_RESPONSES.fields_by_name['CurrentO2CalHigh'].message_type = SiLAFramework__pb2._REAL
_GETO2CALTEMP_RESPONSES.fields_by_name['CurrentO2CalTemp'].message_type = SiLAFramework__pb2._REAL
_SETO2CALTEMP_PARAMETERS.fields_by_name['SetO2CalTemp'].message_type = SiLAFramework__pb2._REAL
_SETO2CALTEMP_RESPONSES.fields_by_name['CurrentO2CalTemp'].message_type = SiLAFramework__pb2._REAL
_GETPHLMAX_RESPONSES.fields_by_name['CurrentPHlmax'].message_type = SiLAFramework__pb2._REAL
_SETPHLMAX_PARAMETERS.fields_by_name['SetPHlmax'].message_type = SiLAFramework__pb2._REAL
_SETPHLMAX_RESPONSES.fields_by_name['CurrentPHlmax'].message_type = SiLAFramework__pb2._REAL
_GETPHLMIN_RESPONSES.fields_by_name['CurrentPHlmin'].message_type = SiLAFramework__pb2._REAL
_SETPHLMIN_PARAMETERS.fields_by_name['SetPHlmin'].message_type = SiLAFramework__pb2._REAL
_SETPHLMIN_RESPONSES.fields_by_name['CurrentPHlmin'].message_type = SiLAFramework__pb2._REAL
_GETPHPH0_RESPONSES.fields_by_name['CurrentPHpH0'].message_type = SiLAFramework__pb2._REAL
_SETPHPH0_PARAMETERS.fields_by_name['SetPHpH0'].message_type = SiLAFramework__pb2._REAL
_SETPHPH0_RESPONSES.fields_by_name['CurrentPHpH0'].message_type = SiLAFramework__pb2._REAL
_GETPHDPH_RESPONSES.fields_by_name['CurrentPHdpH'].message_type = SiLAFramework__pb2._REAL
_SETPHDPH_PARAMETERS.fields_by_name['SetPHdpH'].message_type = SiLAFramework__pb2._REAL
_SETPHDPH_RESPONSES.fields_by_name['CurrentPHdpH'].message_type = SiLAFramework__pb2._REAL
_GETPHCALTEMP_RESPONSES.fields_by_name['CurrentPHCalTemp'].message_type = SiLAFramework__pb2._REAL
_SETPHCALTEMP_PARAMETERS.fields_by_name['SetPHCalTemp'].message_type = SiLAFramework__pb2._REAL
_SETPHCALTEMP_RESPONSES.fields_by_name['CurrentPHCalTemp'].message_type = SiLAFramework__pb2._REAL
DESCRIPTOR.message_types_by_name['GetO2CalLow_Parameters'] = _GETO2CALLOW_PARAMETERS
DESCRIPTOR.message_types_by_name['GetO2CalLow_Responses'] = _GETO2CALLOW_RESPONSES
DESCRIPTOR.message_types_by_name['SetO2CalLow_Parameters'] = _SETO2CALLOW_PARAMETERS
DESCRIPTOR.message_types_by_name['SetO2CalLow_Responses'] = _SETO2CALLOW_RESPONSES
DESCRIPTOR.message_types_by_name['GetO2CalHigh_Parameters'] = _GETO2CALHIGH_PARAMETERS
DESCRIPTOR.message_types_by_name['GetO2CalHigh_Responses'] = _GETO2CALHIGH_RESPONSES
DESCRIPTOR.message_types_by_name['SetO2CalHigh_Parameters'] = _SETO2CALHIGH_PARAMETERS
DESCRIPTOR.message_types_by_name['SetO2CalHigh_Responses'] = _SETO2CALHIGH_RESPONSES
DESCRIPTOR.message_types_by_name['GetO2CalTemp_Parameters'] = _GETO2CALTEMP_PARAMETERS
DESCRIPTOR.message_types_by_name['GetO2CalTemp_Responses'] = _GETO2CALTEMP_RESPONSES
DESCRIPTOR.message_types_by_name['SetO2CalTemp_Parameters'] = _SETO2CALTEMP_PARAMETERS
DESCRIPTOR.message_types_by_name['SetO2CalTemp_Responses'] = _SETO2CALTEMP_RESPONSES
DESCRIPTOR.message_types_by_name['GetPHlmax_Parameters'] = _GETPHLMAX_PARAMETERS
DESCRIPTOR.message_types_by_name['GetPHlmax_Responses'] = _GETPHLMAX_RESPONSES
DESCRIPTOR.message_types_by_name['SetPHlmax_Parameters'] = _SETPHLMAX_PARAMETERS
DESCRIPTOR.message_types_by_name['SetPHlmax_Responses'] = _SETPHLMAX_RESPONSES
DESCRIPTOR.message_types_by_name['GetPHlmin_Parameters'] = _GETPHLMIN_PARAMETERS
DESCRIPTOR.message_types_by_name['GetPHlmin_Responses'] = _GETPHLMIN_RESPONSES
DESCRIPTOR.message_types_by_name['SetPHlmin_Parameters'] = _SETPHLMIN_PARAMETERS
DESCRIPTOR.message_types_by_name['SetPHlmin_Responses'] = _SETPHLMIN_RESPONSES
DESCRIPTOR.message_types_by_name['GetPHpH0_Parameters'] = _GETPHPH0_PARAMETERS
DESCRIPTOR.message_types_by_name['GetPHpH0_Responses'] = _GETPHPH0_RESPONSES
DESCRIPTOR.message_types_by_name['SetPHpH0_Parameters'] = _SETPHPH0_PARAMETERS
DESCRIPTOR.message_types_by_name['SetPHpH0_Responses'] = _SETPHPH0_RESPONSES
DESCRIPTOR.message_types_by_name['GetPHdpH_Parameters'] = _GETPHDPH_PARAMETERS
DESCRIPTOR.message_types_by_name['GetPHdpH_Responses'] = _GETPHDPH_RESPONSES
DESCRIPTOR.message_types_by_name['SetPHdpH_Parameters'] = _SETPHDPH_PARAMETERS
DESCRIPTOR.message_types_by_name['SetPHdpH_Responses'] = _SETPHDPH_RESPONSES
DESCRIPTOR.message_types_by_name['GetPHCalTemp_Parameters'] = _GETPHCALTEMP_PARAMETERS
DESCRIPTOR.message_types_by_name['GetPHCalTemp_Responses'] = _GETPHCALTEMP_RESPONSES
DESCRIPTOR.message_types_by_name['SetPHCalTemp_Parameters'] = _SETPHCALTEMP_PARAMETERS
DESCRIPTOR.message_types_by_name['SetPHCalTemp_Responses'] = _SETPHCALTEMP_RESPONSES
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

GetO2CalLow_Parameters = _reflection.GeneratedProtocolMessageType('GetO2CalLow_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETO2CALLOW_PARAMETERS,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalLow_Parameters)
  })
_sym_db.RegisterMessage(GetO2CalLow_Parameters)

GetO2CalLow_Responses = _reflection.GeneratedProtocolMessageType('GetO2CalLow_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETO2CALLOW_RESPONSES,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalLow_Responses)
  })
_sym_db.RegisterMessage(GetO2CalLow_Responses)

SetO2CalLow_Parameters = _reflection.GeneratedProtocolMessageType('SetO2CalLow_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETO2CALLOW_PARAMETERS,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalLow_Parameters)
  })
_sym_db.RegisterMessage(SetO2CalLow_Parameters)

SetO2CalLow_Responses = _reflection.GeneratedProtocolMessageType('SetO2CalLow_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETO2CALLOW_RESPONSES,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalLow_Responses)
  })
_sym_db.RegisterMessage(SetO2CalLow_Responses)

GetO2CalHigh_Parameters = _reflection.GeneratedProtocolMessageType('GetO2CalHigh_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETO2CALHIGH_PARAMETERS,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalHigh_Parameters)
  })
_sym_db.RegisterMessage(GetO2CalHigh_Parameters)

GetO2CalHigh_Responses = _reflection.GeneratedProtocolMessageType('GetO2CalHigh_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETO2CALHIGH_RESPONSES,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalHigh_Responses)
  })
_sym_db.RegisterMessage(GetO2CalHigh_Responses)

SetO2CalHigh_Parameters = _reflection.GeneratedProtocolMessageType('SetO2CalHigh_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETO2CALHIGH_PARAMETERS,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalHigh_Parameters)
  })
_sym_db.RegisterMessage(SetO2CalHigh_Parameters)

SetO2CalHigh_Responses = _reflection.GeneratedProtocolMessageType('SetO2CalHigh_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETO2CALHIGH_RESPONSES,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalHigh_Responses)
  })
_sym_db.RegisterMessage(SetO2CalHigh_Responses)

GetO2CalTemp_Parameters = _reflection.GeneratedProtocolMessageType('GetO2CalTemp_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETO2CALTEMP_PARAMETERS,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalTemp_Parameters)
  })
_sym_db.RegisterMessage(GetO2CalTemp_Parameters)

GetO2CalTemp_Responses = _reflection.GeneratedProtocolMessageType('GetO2CalTemp_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETO2CALTEMP_RESPONSES,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalTemp_Responses)
  })
_sym_db.RegisterMessage(GetO2CalTemp_Responses)

SetO2CalTemp_Parameters = _reflection.GeneratedProtocolMessageType('SetO2CalTemp_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETO2CALTEMP_PARAMETERS,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalTemp_Parameters)
  })
_sym_db.RegisterMessage(SetO2CalTemp_Parameters)

SetO2CalTemp_Responses = _reflection.GeneratedProtocolMessageType('SetO2CalTemp_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETO2CALTEMP_RESPONSES,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalTemp_Responses)
  })
_sym_db.RegisterMessage(SetO2CalTemp_Responses)

GetPHlmax_Parameters = _reflection.GeneratedProtocolMessageType('GetPHlmax_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETPHLMAX_PARAMETERS,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHlmax_Parameters)
  })
_sym_db.RegisterMessage(GetPHlmax_Parameters)

GetPHlmax_Responses = _reflection.GeneratedProtocolMessageType('GetPHlmax_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETPHLMAX_RESPONSES,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHlmax_Responses)
  })
_sym_db.RegisterMessage(GetPHlmax_Responses)

SetPHlmax_Parameters = _reflection.GeneratedProtocolMessageType('SetPHlmax_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETPHLMAX_PARAMETERS,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHlmax_Parameters)
  })
_sym_db.RegisterMessage(SetPHlmax_Parameters)

SetPHlmax_Responses = _reflection.GeneratedProtocolMessageType('SetPHlmax_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETPHLMAX_RESPONSES,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHlmax_Responses)
  })
_sym_db.RegisterMessage(SetPHlmax_Responses)

GetPHlmin_Parameters = _reflection.GeneratedProtocolMessageType('GetPHlmin_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETPHLMIN_PARAMETERS,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHlmin_Parameters)
  })
_sym_db.RegisterMessage(GetPHlmin_Parameters)

GetPHlmin_Responses = _reflection.GeneratedProtocolMessageType('GetPHlmin_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETPHLMIN_RESPONSES,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHlmin_Responses)
  })
_sym_db.RegisterMessage(GetPHlmin_Responses)

SetPHlmin_Parameters = _reflection.GeneratedProtocolMessageType('SetPHlmin_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETPHLMIN_PARAMETERS,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHlmin_Parameters)
  })
_sym_db.RegisterMessage(SetPHlmin_Parameters)

SetPHlmin_Responses = _reflection.GeneratedProtocolMessageType('SetPHlmin_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETPHLMIN_RESPONSES,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHlmin_Responses)
  })
_sym_db.RegisterMessage(SetPHlmin_Responses)

GetPHpH0_Parameters = _reflection.GeneratedProtocolMessageType('GetPHpH0_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETPHPH0_PARAMETERS,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHpH0_Parameters)
  })
_sym_db.RegisterMessage(GetPHpH0_Parameters)

GetPHpH0_Responses = _reflection.GeneratedProtocolMessageType('GetPHpH0_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETPHPH0_RESPONSES,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHpH0_Responses)
  })
_sym_db.RegisterMessage(GetPHpH0_Responses)

SetPHpH0_Parameters = _reflection.GeneratedProtocolMessageType('SetPHpH0_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETPHPH0_PARAMETERS,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHpH0_Parameters)
  })
_sym_db.RegisterMessage(SetPHpH0_Parameters)

SetPHpH0_Responses = _reflection.GeneratedProtocolMessageType('SetPHpH0_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETPHPH0_RESPONSES,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHpH0_Responses)
  })
_sym_db.RegisterMessage(SetPHpH0_Responses)

GetPHdpH_Parameters = _reflection.GeneratedProtocolMessageType('GetPHdpH_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETPHDPH_PARAMETERS,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHdpH_Parameters)
  })
_sym_db.RegisterMessage(GetPHdpH_Parameters)

GetPHdpH_Responses = _reflection.GeneratedProtocolMessageType('GetPHdpH_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETPHDPH_RESPONSES,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHdpH_Responses)
  })
_sym_db.RegisterMessage(GetPHdpH_Responses)

SetPHdpH_Parameters = _reflection.GeneratedProtocolMessageType('SetPHdpH_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETPHDPH_PARAMETERS,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHdpH_Parameters)
  })
_sym_db.RegisterMessage(SetPHdpH_Parameters)

SetPHdpH_Responses = _reflection.GeneratedProtocolMessageType('SetPHdpH_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETPHDPH_RESPONSES,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHdpH_Responses)
  })
_sym_db.RegisterMessage(SetPHdpH_Responses)

GetPHCalTemp_Parameters = _reflection.GeneratedProtocolMessageType('GetPHCalTemp_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETPHCALTEMP_PARAMETERS,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHCalTemp_Parameters)
  })
_sym_db.RegisterMessage(GetPHCalTemp_Parameters)

GetPHCalTemp_Responses = _reflection.GeneratedProtocolMessageType('GetPHCalTemp_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETPHCALTEMP_RESPONSES,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHCalTemp_Responses)
  })
_sym_db.RegisterMessage(GetPHCalTemp_Responses)

SetPHCalTemp_Parameters = _reflection.GeneratedProtocolMessageType('SetPHCalTemp_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETPHCALTEMP_PARAMETERS,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHCalTemp_Parameters)
  })
_sym_db.RegisterMessage(SetPHCalTemp_Parameters)

SetPHCalTemp_Responses = _reflection.GeneratedProtocolMessageType('SetPHCalTemp_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETPHCALTEMP_RESPONSES,
  '__module__' : 'CalibrationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHCalTemp_Responses)
  })
_sym_db.RegisterMessage(SetPHCalTemp_Responses)



_CALIBRATIONSERVICER = _descriptor.ServiceDescriptor(
  name='CalibrationServicer',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.CalibrationServicer',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  serialized_start=2161,
  serialized_end=4940,
  methods=[
  _descriptor.MethodDescriptor(
    name='GetO2CalLow',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.CalibrationServicer.GetO2CalLow',
    index=0,
    containing_service=None,
    input_type=_GETO2CALLOW_PARAMETERS,
    output_type=_GETO2CALLOW_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetO2CalLow',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.CalibrationServicer.SetO2CalLow',
    index=1,
    containing_service=None,
    input_type=_SETO2CALLOW_PARAMETERS,
    output_type=_SETO2CALLOW_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetO2CalHigh',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.CalibrationServicer.GetO2CalHigh',
    index=2,
    containing_service=None,
    input_type=_GETO2CALHIGH_PARAMETERS,
    output_type=_GETO2CALHIGH_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetO2CalHigh',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.CalibrationServicer.SetO2CalHigh',
    index=3,
    containing_service=None,
    input_type=_SETO2CALHIGH_PARAMETERS,
    output_type=_SETO2CALHIGH_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetO2CalTemp',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.CalibrationServicer.GetO2CalTemp',
    index=4,
    containing_service=None,
    input_type=_GETO2CALTEMP_PARAMETERS,
    output_type=_GETO2CALTEMP_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetO2CalTemp',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.CalibrationServicer.SetO2CalTemp',
    index=5,
    containing_service=None,
    input_type=_SETO2CALTEMP_PARAMETERS,
    output_type=_SETO2CALTEMP_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetPHlmax',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.CalibrationServicer.GetPHlmax',
    index=6,
    containing_service=None,
    input_type=_GETPHLMAX_PARAMETERS,
    output_type=_GETPHLMAX_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetPHlmax',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.CalibrationServicer.SetPHlmax',
    index=7,
    containing_service=None,
    input_type=_SETPHLMAX_PARAMETERS,
    output_type=_SETPHLMAX_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetPHlmin',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.CalibrationServicer.GetPHlmin',
    index=8,
    containing_service=None,
    input_type=_GETPHLMIN_PARAMETERS,
    output_type=_GETPHLMIN_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetPHlmin',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.CalibrationServicer.SetPHlmin',
    index=9,
    containing_service=None,
    input_type=_SETPHLMIN_PARAMETERS,
    output_type=_SETPHLMIN_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetPHpH0',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.CalibrationServicer.GetPHpH0',
    index=10,
    containing_service=None,
    input_type=_GETPHPH0_PARAMETERS,
    output_type=_GETPHPH0_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetPHpH0',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.CalibrationServicer.SetPHpH0',
    index=11,
    containing_service=None,
    input_type=_SETPHPH0_PARAMETERS,
    output_type=_SETPHPH0_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetPHdpH',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.CalibrationServicer.GetPHdpH',
    index=12,
    containing_service=None,
    input_type=_GETPHDPH_PARAMETERS,
    output_type=_GETPHDPH_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetPHdpH',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.CalibrationServicer.SetPHdpH',
    index=13,
    containing_service=None,
    input_type=_SETPHDPH_PARAMETERS,
    output_type=_SETPHDPH_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetPHCalTemp',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.CalibrationServicer.GetPHCalTemp',
    index=14,
    containing_service=None,
    input_type=_GETPHCALTEMP_PARAMETERS,
    output_type=_GETPHCALTEMP_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetPHCalTemp',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.CalibrationServicer.SetPHCalTemp',
    index=15,
    containing_service=None,
    input_type=_SETPHCALTEMP_PARAMETERS,
    output_type=_SETPHCALTEMP_RESPONSES,
    serialized_options=None,
  ),
])
_sym_db.RegisterServiceDescriptor(_CALIBRATIONSERVICER)

DESCRIPTOR.services_by_name['CalibrationServicer'] = _CALIBRATIONSERVICER

# @@protoc_insertion_point(module_scope)
